Bug 191472 - lpq -P dumps core
Summary: lpq -P dumps core
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: cups   
(Show other bugs)
Version: 5
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-05-12 10:31 UTC by Joachim Backes
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 1.2.0-1.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-17 16:32:21 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Joachim Backes 2006-05-12 10:31:44 UTC
Description of problem: Entering the lpq command without printer (lpq -P) dumps
core.


Version-Release number of selected component (if applicable):
cups-1.1.23-30.2

How reproducible:
Each time

Steps to Reproduce:
1.lpq -P
2.
3.
  
Actual results:
Segmentation fault (core dumped)


Expected results:
Message:  Usage: lpq [-P dest] [-l] [+interval]

Additional info:
Correct behaviour under x86_64/FC4

Comment 1 Tim Waugh 2006-05-12 10:53:55 UTC
This is fixed in cups-1.2.0-1.1 in updates-testing.


Note You need to log in before you can comment on or make changes to this bug.